<script setup lang="ts">
import AlchemestryIcon from '@/components/icons/AlchemestryIcon.vue';
import ArrowIcon from '@/components/icons/ArrowIcon.vue';
import FadeSwap from '@/components/motion/FadeSwap.vue';
import { cn } from '@/lib/utils';
import { useUiSidebarStore } from '@/stores/ui/sidebar';

const store = useUiSidebarStore();
</script>

<template>
  <div>
    <div :class="cn('w-full flex', store.isOpen ? 'justify-end' : 'justify-center')">
      <button v-if="store.isLg" @click="store.toggle" class="w-fit">
        <FadeSwap :is="ArrowIcon" :condition="store.isOpen" elseClass="!rotate-180" />
      </button>
      <div v-else class="h-[40px]" />
    </div>
    <div class="mt-[80px] flex justify-center">
      <h1 class="text-16 font-bold text-center font-albert" v-if="store.isOpen" v-motion-fade>
        Alchemestry
      </h1>
      <AlchemestryIcon v-else v-motion-fade class="icon" />
    </div>
  </div>
</template>
